System.Web.Services 1.0.5000.0 2.0.0.0 Gtk# is thread aware, but not thread safe; See the <link location="node:gtk-sharp/programming/threads">Gtk# Thread Programming</link> for details. System.Object

is used primarily by a SOAP extension to interrogate the details of the XML Web service method with which the SOAP extension is configured to run. Depending on how the SOAP extension is configured, it can find out details about the XML Web service method in the method of that takes a . The provides details such as the XML Web service method's parameters by accessing the property and any custom attributes applied to the XML Web service method using the property.

For more details on SOAP extensions see the class or [<topic://cpconAlteringSOAPMessageUsingSOAPExtensions>].

Represents the attributes and metadata for an XML Web service method. This class cannot be inherited.

- Constructor
  a
  To be added

  Initializes a new instance of the class with the passed in.

  1.0.5000.0
  2.0.0.0
- Property
  System.Reflection.ParameterInfo a

  The asynchronous design pattern in the common language runtime involves calling a Begin method to start the asynchronous method invocation and an End method to complete the invocation. The Begin method takes two additional parameters besides the parameters defined by the synchronous version of the method: one to store a delegate and one to store any state information that needs to be passed on to the delegate. This property represents the parameter for the delegate with a parameter name of .

  For more information on invoking XML Web services asynchronously, see [<topic://cpconInvokingWebServicesAsynchronously>].

  Gets the parameter information for the parameter of a Begin method in an asynchronous invocation.

  1.0.5000.0
  2.0.0.0
- Property
  System.Reflection.ParameterInfo a

  The asynchronous design pattern in the common language runtime involves calling a Begin method to start the asynchronous method invocation and an End method to complete the invocation. The Begin method typically returns immediately with an object implementing the interface, which can then be passed to the End method at a later time to complete the asynchronous method invocation. The returned object implementing the interface is represented by this property.

  For more information on invoking XML Web services asynchronously, see [<topic://cpconInvokingWebServicesAsynchronously>].

  Gets the return value of a Begin asynchronous method invocation.

  1.0.5000.0
  2.0.0.0
- Property
  System.Reflection.ParameterInfo a

  The asynchronous design pattern in the common language runtime involves calling a Begin method to start the asynchronous method invocation and an End method to complete the invocation. The Begin method takes two additional parameters besides the parameters defined by the synchronous version of the method: one to store a delegate and one to store any state information that needs to be passed on to the delegate. This property represents the state information that needs to be passed into the delegate.

  For more information on invoking XML Web services asynchronously, see [<topic://cpconInvokingWebServicesAsynchronously>].

  Gets the parameter information for the parameter of a Begin method in an asynchronous invocation.

  1.0.5000.0
  2.0.0.0
- Method
  System.IAsyncResult `` `` `` `` To be added

  Begins an asynchronous invocation of the method represented by this .

  An which is passed to to obtain the return values from the remote method call.

  The instance of the on which to invoke the method on. An argument list for the invoked method. This is an array of objects with the same number, order, and type as the parameters of the method. If the method does not require any parameters, should be null. The delegate to call when the asynchronous invoke is complete. If is null, the delegate is not called. State information that is passed on to the delegate. 1.0.5000.0 2.0.0.0
- Property
  System.Reflection.MethodInfo a To be added

  Gets the attributes and metadata for a Begin method in an asynchronous invocation.

  1.0.5000.0
  2.0.0.0
- Method
  System.Web.Services.Protocols.LogicalMethodInfo[] `` a To be added

  Given an array of that can contain information about both asynchronous and synchronous methods, creates an array of .

  An array of , representing the methods within .

  1.0.5000.0
  2.0.0.0
- Method
  System.Web.Services.Protocols.LogicalMethodInfo[] `` `` a To be added

  Given an array of , where the returned array of can be restricted to only asynchronous or synchronous methods, creates an array of .

  An array of , representing the methods within , filtered by the value of .

  A bitwise combination of the values. Determines whether just asynchronous or synchronous methods or both are included in the returned array of . 1.0.5000.0 2.0.0.0
- Property
  System.Reflection.ICustomAttributeProvider a To be added

  Gets the custom attributes applied to the method.

  1.0.5000.0
  2.0.0.0
- Property
  System.Type To be added: an object of type 'Type'

  The property retrieves a reference to a for the type that declares this member. A member of a class (or interface) is either declared or inherited from a base class (or interface). The returned might not be the same as the of the class implementing the XML Web service (if that class derives from a base class and the method represented by this class is declared in that base class then the returned is the base class).

  Gets the class that declares the method represented by the current .

  1.0.5000.0
  2.0.0.0
- Method
  System.Object[] `` `` To be added

  Ends an asynchronous invocation of the method represented by the current .

  An array of objects containing the return value and any by-reference or out parameters of the derived class method.

  The instance of the on which to invoke the method. The returned from . 1.0.5000.0 2.0.0.0
- Property
  System.Reflection.MethodInfo a To be added

  Gets the attributes and metadata for an End method of an asynchronous invocation to a method.

  1.0.5000.0
  2.0.0.0
- Method
  System.Object `` To be added

  Returns the first custom attribute applied to the type, if any custom attributes are applied to the type.

  An containing the first custom attribute applied to the parameter.

  The to which the custom attributes are applied. 1.0.5000.0 2.0.0.0
- Method
  System.Object[] `` To be added

  Returns the custom attributes applied to the specified type.

  An array of containing the custom attributes applied to .

  The to which the custom attributes are applied. 1.0.5000.0 2.0.0.0
- Property
  System.Reflection.ParameterInfo[] a

  Use an instance of to obtain information about the parameter's data type, default value, and so on.

  returns an array of objects representing the parameters passed into a method, in order.

  Gets the parameters passed into the method represented by the instance of .

  1.0.5000.0
  2.0.0.0
- Method
  System.Object[] `` `` To be added

  Invokes the method represented by the current .

  An array of type representing the return value and out parameters of the invoked method.

  The instance of the to invoke the method. An argument list for the invoked method. This is an array of objects with the same number, order, and type as the parameters of the method. If the method does not require any parameters, the parameter should be null. 1.0.5000.0 2.0.0.0
- Property
  System.Boolean To be added: an object of type 'bool' To be added

  Gets a value indicating whether the method represented by the instance of is invoked asynchronously.

  1.0.5000.0
  2.0.0.0
- Method
  System.Boolean `` a To be added

  Returns a value indicating whether the method passed in represents a Begin method of an asynchronous invocation.

  true if the parameter is a Begin method of an asynchronous invocation; otherwise, false.

  1.0.5000.0
  2.0.0.0
- Method
  System.Boolean `` a To be added

  Returns a value indicating whether the method passed in represents an End method of an asynchronous invocation.

  true if the parameter is an End method of an asynchronous invocation; otherwise, false.

  1.0.5000.0
  2.0.0.0
- Property
  System.Boolean To be added: an object of type 'bool' To be added

  Gets a value indicating whether the return type for the method represented by the instance of is void.

  1.0.5000.0
  2.0.0.0
- Property
  System.Reflection.MethodInfo a To be added

  Gets the attributes and metadata for a synchronous method.

  1.0.5000.0
  2.0.0.0
- Property
  System.String To be added: an object of type 'string' To be added

  Gets the name of the method represented by this .

  1.0.5000.0
  2.0.0.0
- Property
  System.Reflection.ParameterInfo[] a

  Use a to obtain information about the parameter's data type, default value, and so on.

  Gets the out parameters for the method.

  1.0.5000.0
  2.0.0.0
- Property
  System.Reflection.ParameterInfo[] a

  Use a to obtain information about the parameter's data type, default value, and so on.

  returns an array of objects representing the parameters passed into a method, in order.

  Gets the parameters for the method.

  1.0.5000.0
  2.0.0.0
- Property
  System.Type To be added: an object of type 'Type' To be added

  Gets the return type of this method.

  1.0.5000.0
  2.0.0.0
- Property
  System.Reflection.ICustomAttributeProvider a To be added

  Gets the custom attributes for the return type.

  1.0.5000.0
  2.0.0.0
- Method
  System.String To be added

  Returns a string that represents the current .

  A that represents the current .

  1.0.5000.0
  2.0.0.0